Credit or debit points with an operator classification
curl --request POST \
--url https://loyalty.example.com/lip/v1/ledger/manual-adjustments \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"context": {
"protocol_version": "<string>",
"profile": "<string>",
"request_id": "<string>",
"idempotency_key": "<string>",
"occurred_at": "2023-11-07T05:31:56Z",
"source": {
"system": "<string>",
"instance": "<string>"
}
},
"member_id": "<string>",
"program_id": "<string>",
"adjustment_id": "<string>",
"amount": -2,
"classification": "<string>",
"reason": "<string>",
"qualifies_for_tier": true,
"unit": "<string>",
"expires_at": "2023-11-07T05:31:56Z"
}
'import requests
url = "https://loyalty.example.com/lip/v1/ledger/manual-adjustments"
payload = {
"context": {
"protocol_version": "<string>",
"profile": "<string>",
"request_id": "<string>",
"idempotency_key": "<string>",
"occurred_at": "2023-11-07T05:31:56Z",
"source": {
"system": "<string>",
"instance": "<string>"
}
},
"member_id": "<string>",
"program_id": "<string>",
"adjustment_id": "<string>",
"amount": -2,
"classification": "<string>",
"reason": "<string>",
"qualifies_for_tier": True,
"unit": "<string>",
"expires_at": "2023-11-07T05:31:56Z"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
context: {
protocol_version: '<string>',
profile: '<string>',
request_id: '<string>',
idempotency_key: '<string>',
occurred_at: '2023-11-07T05:31:56Z',
source: {system: '<string>', instance: '<string>'}
},
member_id: '<string>',
program_id: '<string>',
adjustment_id: '<string>',
amount: -2,
classification: '<string>',
reason: '<string>',
qualifies_for_tier: true,
unit: '<string>',
expires_at: '2023-11-07T05:31:56Z'
})
};
fetch('https://loyalty.example.com/lip/v1/ledger/manual-adjustments', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"context": {
"protocol_version": "<string>",
"profile": "<string>",
"request_id": "<string>",
"processed_at": "2023-11-07T05:31:56Z"
},
"entry": {
"entry_id": "<string>",
"member_id": "<string>",
"program_id": "<string>",
"account_id": "<string>",
"operation": "<string>",
"unit": "<string>",
"amount": 123,
"occurred_at": "2023-11-07T05:31:56Z",
"expires_at": "2023-11-07T05:31:56Z",
"related_entry_id": "<string>",
"order_id": "<string>",
"location_id": "<string>",
"adjustment_id": "<string>",
"reservation_id": "<string>",
"classification": "<string>",
"reason": "<string>",
"qualifies_for_tier": true
},
"balances": [
{
"account_id": "<string>",
"member_id": "<string>",
"program_id": "<string>",
"unit": "<string>",
"amount": 123,
"reserved": 1,
"available": 123,
"as_of": "2023-11-07T05:31:56Z",
"unit_label": "<string>"
}
],
"entries": [
{
"entry_id": "<string>",
"member_id": "<string>",
"program_id": "<string>",
"account_id": "<string>",
"operation": "<string>",
"unit": "<string>",
"amount": 123,
"occurred_at": "2023-11-07T05:31:56Z",
"expires_at": "2023-11-07T05:31:56Z",
"related_entry_id": "<string>",
"order_id": "<string>",
"location_id": "<string>",
"adjustment_id": "<string>",
"reservation_id": "<string>",
"classification": "<string>",
"reason": "<string>",
"qualifies_for_tier": true
}
]
}{
"type": "<string>",
"title": "<string>",
"status": 499,
"detail": "<string>",
"instance": "<string>",
"code": "<string>",
"errors": [
{
"path": "<string>",
"message": "<string>"
}
]
}Ledger
Credit or debit points with an operator classification
POST
/
ledger
/
manual-adjustments
Credit or debit points with an operator classification
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Body
application/json
Show child attributes
Show child attributes
Opaque, stable identifier within the owning system.
Required string length:
1 - 128Pattern:
^[A-Za-z0-9][A-Za-z0-9._:-]*$Opaque, stable identifier within the owning system.
Required string length:
1 - 128Pattern:
^[A-Za-z0-9][A-Za-z0-9._:-]*$Opaque, stable identifier within the owning system.
Required string length:
1 - 128Pattern:
^[A-Za-z0-9][A-Za-z0-9._:-]*$Required range:
x <= -1classification
Option 1 · stringOption 2 · stringOption 3 · stringOption 4 · stringOption 5 · string
required
Allowed value:
"bonus"Required string length:
1 - 255Allowed value:
"points"⌘I